### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# lib.clipboard

## Module: `lib.clipboard`

Utilities for accessing the platform’s clipboard.

## Functions

`IPython.lib.clipboard.``osx_clipboard_get`()

  Get the clipboard’s text on OS X.

`IPython.lib.clipboard.``tkinter_clipboard_get`()

  Get the clipboard’s text using Tkinter.

  This is the default on systems that are not Windows or OS X. It may interfere with other UI toolkits and should be replaced with an implementation that uses that toolkit.

`IPython.lib.clipboard.``win32_clipboard_get`()

  Get the current clipboard’s text on Windows.

  Requires Mark Hammond’s pywin32 extensions.

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »